Search Unity

Question Can't train with build no more

Discussion in 'ML-Agents' started by Entretoize, Dec 18, 2023.

  1. Entretoize

    Entretoize

    Joined:
    Feb 27, 2015
    Posts:
    59
    Hello, I was able to train from unity or built executable, but now I can only from unity.
    My command line is something like:
    Code (CSharp):
    1. mlagents-learn brain.yaml --run-id try0 --num-env 10 --env "C:\Programmation\Project\builds\project.exe" --base-port 5005
    And I'm using the same yaml.

    Between the moment it worked and now I changed the target platform to linux dedicated server, built, switched to android, built and switched back to windows. I also removed VisualScripting package to remove a warning, but everything work in unity so I don't see what to do.
    When I run my command the exe launch and does what it usually does when not starting mlagents-learn before, and stops after a while with the classical timeout message.

    Thanks in advance for any help.
     
  2. Entretoize

    Entretoize

    Joined:
    Feb 27, 2015
    Posts:
    59
    I just see a warning :
    Code (CSharp):
    1. Script attached to 'AcademyFixedUpdateStepper' in scene 'Assets/Scenes/SampleScene.unity' is missing or no valid script is attached.
    2. UnityEngine.GUIUtility:ProcessEvent (int,intptr,bool&)
    I will try to reinstall the mlagents package
     
  3. Entretoize

    Entretoize

    Joined:
    Feb 27, 2015
    Posts:
    59
    Reinstalling didn't correct the problem... nor removed the warning